/*use modules*/
var Task = xdc.useModule ("ti.sysbios.knl.Task");
var BIOS = xdc.useModule ("ti.sysbios.BIOS");
var Startup = xdc.useModule ("xdc.runtime.Startup");
var System = xdc.useModule ("xdc.runtime.System");
var Log = xdc.useModule ("xdc.runtime.Log");
var Hwi = xdc.useModule('ti.sysbios.hal.Hwi');
var CpIntc = xdc.useModule('ti.sysbios.family.arm.a15.tci66xx.CpIntc');
var Semaphore = xdc.useModule('ti.sysbios.knl.Semaphore');
var Program     = xdc.useModule("xdc.cfg.Program");
var Cache = xdc.useModule('ti.sysbios.hal.Cache');
var Error = xdc.useModule('xdc.runtime.Error');

//BIOS.libType = BIOS.LibType_Custom;
/* Heap used when creating semaphore's, TSK's or malloc() ... */
Program.heap            = 0x1000;

/* ISR/SWI stack        */
Program.stack           = 0x4000;

Program.sectMap[".cio"] = new Program.SectionSpec();
Program.sectMap[".cio"].loadSegment = "EXT_RAM";

/* USE EDMA3 Sample App */
xdc.loadPackage('ti.sdo.edma3.drv.sample');

/* MMU/Cache related configurations                                           */

var Cache1  = xdc.useModule('ti.sysbios.family.arm.a15.Cache');
var Mmu    = xdc.useModule('ti.sysbios.family.arm.a15.Mmu');
var GnuSupport = xdc.useModule('ti.sysbios.rts.gnu.SemiHostSupport');

/* Enable the cache                                                           */
Cache1.enableCache = false;

/* Enable the MMU (Required for L1 data caching)                              */
Mmu.enableMMU = true;

var attrs = new Mmu.DescriptorAttrs();
Mmu.initDescAttrsMeta(attrs);
attrs.type = Mmu.DescriptorType_BLOCK;
attrs.noExecute = true;
attrs.accPerm = 0;       // R/W at PL1
attrs.attrIndx = 1;       // Use MAIR0 Byte1
Mmu.setSecondLevelDescMeta(0x4ae00000, 0x4ae00000, attrs);

Task.initStackFlag = false;
Task.checkStackFlag = false;

Hwi.initStackFlag = false;
Hwi.checkStackFlag = false;